Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Trouble emerging glibc-2.19-r1 (old kernel?)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware
View previous topic :: View next topic  
Author Message
hanj
Veteran
Veteran


Joined: 19 Aug 2003
Posts: 1402

PostPosted: Mon Aug 11, 2014 4:50 pm    Post subject: Trouble emerging glibc-2.19-r1 (old kernel?) Reply with quote

I'm having trouble emerging glibc-2.19-r1 on a couple of boxes. It's saying the following...

Code:
 * Your old kernel is broken.  You need to update it to
 * a newer version as syscall(<bignum>) will break.


I understand that.. BUT.. my kernel is the latest gentoo-sources: 3.14.14-gentoo

Full error:
Code:
>>> Failed to emerge sys-libs/glibc-2.19-r1, Log file:

>>>  '/var/tmp/portage/sys-libs/glibc-2.19-r1/temp/build.log'

 * Messages for package sys-libs/glibc-2.19-r1:

 * Your old kernel is broken.  You need to update it to
 * a newer version as syscall(<bignum>) will break.
 * http://bugs.gentoo.org/279260
 * ERROR: sys-libs/glibc-2.19-r1::gentoo failed (setup phase):
 *   keeping your system alive, say thank you
 *
 * Call stack:
 *              ebuild.sh, line  93:  Called pkg_setup
 *   glibc-2.19-r1.ebuild, line 151:  Called eblit-run 'pkg_setup'
 *   glibc-2.19-r1.ebuild, line 137:  Called eblit-glibc-pkg_setup
 *        pkg_setup.eblit, line  75:  Called die
 * The specific snippet of code:
 *                      die "keeping your system alive, say thank you"
 *
 * If you need support, post the output of `emerge --info '=sys-libs/glibc-2.19-r1::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=sys-libs/glibc-2.19-r1::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/sys-libs/glibc-2.19-r1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/sys-libs/glibc-2.19-r1/temp/die.env'.
 * Working directory: '/usr/lib/portage/pym'
 * S: '/var/tmp/portage/sys-libs/glibc-2.19-r1/work/glibc-2.19'


output of emerge --info:

Code:
Portage 2.2.8-r1 (default/linux/x86/13.0, gcc-4.7.3, glibc-2.17, 3.14.14-gentoo i686)
=================================================================
System uname: Linux-3.14.14-gentoo-i686-AMD_Athlon-tm-_Dual_Core_Processor_4450B-with-gentoo-2.2
KiB Mem:     1032264 total,     42948 free
KiB Swap:    1951892 total,   1924128 free
Timestamp of tree: Mon, 11 Aug 2014 07:00:01 +0000
ld GNU ld (GNU Binutils) 2.23.2
app-shells/bash:          4.2_p45
dev-lang/python:          2.6.8-r3, 2.7.7, 3.1.5-r1, 3.2.5-r6, 3.3.5-r1
dev-util/cmake:           2.8.12.2-r1
dev-util/pkgconfig:       0.28-r1
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.69
sys-devel/automake:       1.10.3, 1.11.6, 1.12.6, 1.13.4
sys-devel/binutils:       2.23.2
sys-devel/gcc:            4.3.4, 4.4.5, 4.5.4, 4.6.3, 4.7.3-r1
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2-r1
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.13 (virtual/os-headers)
sys-libs/glibc:           2.17
Repositories: gentoo
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="* -@EULA"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=athlon-xp -O3 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.4/ext-active/ /etc/php/apache2-php5.5/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=athlon-xp -O3 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -march=i686 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -march=i686 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://172.16.0.2/gentoo-portage"
USE="apache2 berkdb bzip2 cli cracklib crypt cxx dri fortran gdbm iconv innodb maildir modules mysql ncurses nptl nptlonly openmp openssh pam pcre php pwdb readline session snmp snortsam ssl tcpd unicode x86 zlib" ABI_X86="32" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby19 ruby20" USERLAND="GNU" VIDEO_CARDS="fbdev glint intel mach64 mga nouveau nv r128 radeon savage sis tdfx trident vesa via vmware dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON


Thanks!
hanji
_________________
Server Admin Blog - Uno-Code.com | Gentoo Hosting at Rackspace!
Back to top
View user's profile Send private message
hanj
Veteran
Veteran


Joined: 19 Aug 2003
Posts: 1402

PostPosted: Mon Aug 11, 2014 5:18 pm    Post subject: Reply with quote

I read the following bug report: https://bugs.gentoo.org/show_bug.cgi?id=279260 Some activity there about this problem

Thanks!
hanji
_________________
Server Admin Blog - Uno-Code.com | Gentoo Hosting at Rackspace!
Back to top
View user's profile Send private message
krinn
Watchman
Watchman


Joined: 02 May 2003
Posts: 7200

PostPosted: Mon Aug 11, 2014 6:42 pm    Post subject: Reply with quote

Better watch this one https://bugs.gentoo.org/show_bug.cgi?id=519610
Back to top
View user's profile Send private message
brendlefly62
Tux's lil' helper
Tux's lil' helper


Joined: 19 Dec 2009
Posts: 96

PostPosted: Wed Aug 20, 2014 6:29 am    Post subject: Reply with quote

Quote:
I'm having trouble emerging glibc-2.19-r1 on a couple of boxes. It's saying the following...


I have this same problem. I read the two bugs listed above, and understand that this will be fixed in kernel 3.14.15 and beyond. However, I'm on 3.14.14 and when I try to emerge gentoo-sources (to get the stable sys-kernel/gentoo-sources-3.14.16), the first thing that tries to compile is glibc-2.19-r1 --- and it fails as stated above. So how am I supposed to get to the new kernel when I can't emerge its sources? :?

Code:
# emerge -uvDN gentoo-sources

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U  ] sys-libs/glibc-2.19-r1:2.2 [2.17:2.2] USE="gd -debug (-hardened) (-multilib) -nscd -profile (-selinux) -suid -systemtap -vanilla" 0 kB
[ebuild     U  ] dev-db/sqlite-3.8.5:3 [3.8.4.3:3] USE="readline -debug -doc -icu -secure-delete -static-libs -tcl {-test}" 0 kB
[ebuild     U  ] dev-libs/libgcrypt-1.5.4:0/11 [1.5.3:0/11] USE="static-libs" 0 kB
[ebuild     U  ] dev-libs/openssl-1.0.1i [1.0.1h-r2] USE="sse2 tls-heartbeat zlib -bindist -gmp -kerberos -rfc3779 -static-libs {-test} -vanilla" 0 kB
[ebuild  NS    ] sys-kernel/gentoo-sources-3.14.16:3.14.16 [3.14.14:3.14.14] USE="-build -deblob -experimental -symlink" 0 kB
[ebuild     U  ] app-crypt/mit-krb5-1.12.2 [1.12.1-r2] USE="keyutils pkinit threads -doc -openldap (-selinux) {-test} -xinetd" 11,710 kB

Total: 6 packages (5 upgrades, 1 in new slot), Size of downloads: 11,710 kB


>>> Verifying ebuild manifests

>>> Emerging (1 of 6) sys-libs/glibc-2.19-r1
 * glibc-2.19.tar.xz SHA256 SHA512 WHIRLPOOL size ;-) ...                [ ok ]
 * glibc-2.19-patches-3.tar.bz2 SHA256 SHA512 WHIRLPOOL size ;-) ...     [ ok ]
make -j2 -s glibc-test
make -j2 -s glibc-test
 * Your old kernel is broken.  You need to update it to
 * a newer version as syscall(<bignum>) will break.
 * http://bugs.gentoo.org/279260
 * ERROR: sys-libs/glibc-2.19-r1::gentoo failed (setup phase):
 *   keeping your system alive, say thank you
 *
 * Call stack:
 *              ebuild.sh, line  93:  Called pkg_setup
 *   glibc-2.19-r1.ebuild, line 151:  Called eblit-run 'pkg_setup'
 *   glibc-2.19-r1.ebuild, line 137:  Called eblit-glibc-pkg_setup
 *        pkg_setup.eblit, line  75:  Called die
 * The specific snippet of code:
 *            die "keeping your system alive, say thank you"
 *
 * If you need support, post the output of `emerge --info '=sys-libs/glibc-2.19-r1::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=sys-libs/glibc-2.19-r1::gentoo'`.
 * The complete build log is located at '/var/log/portage/sys-libs:glibc-2.19-r1:20140820-061118.log'.
 * For convenience, a symlink to the build log is located at '/var/tmp/portage/sys-libs/glibc-2.19-r1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/sys-libs/glibc-2.19-r1/temp/die.env'.
 * Working directory: '/usr/lib/portage/pym'
 * S: '/var/tmp/portage/sys-libs/glibc-2.19-r1/work/glibc-2.19'

>>> Failed to emerge sys-libs/glibc-2.19-r1, Log file:

>>>  '/var/log/portage/sys-libs:glibc-2.19-r1:20140820-061118.log'


Output of emerge --info :
Code:
emerge --info
Portage 2.2.8-r1 (default/linux/x86/13.0/desktop/kde, gcc-4.7.3, glibc-2.17, 3.14.14-gentoo i686)
=================================================================
System uname: Linux-3.14.14-gentoo-i686-AMD_Athlon-tm-_64_Processor_3200+-with-gentoo-2.2
KiB Mem:     2067180 total,     85720 free
KiB Swap:    2097148 total,   2093436 free
Timestamp of tree: Wed, 20 Aug 2014 06:45:01 +0000
ld GNU ld (GNU Binutils) 2.23.2
distcc 3.1 i686-pc-linux-gnu [disabled]
ccache version 3.1.9 [enabled]
app-shells/bash:          4.2_p45
dev-java/java-config:     2.2.0
dev-lang/python:          2.7.7, 3.3.5-r1
dev-util/ccache:          3.1.9-r3
dev-util/cmake:           2.8.12.2-r1
dev-util/pkgconfig:       0.28-r1
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.69
sys-devel/automake:       1.11.6, 1.12.6, 1.13.4
sys-devel/binutils:       2.23.2
sys-devel/gcc:            4.7.3-r1
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2-r1
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.13 (virtual/os-headers)
sys-libs/glibc:           2.17
Repositories: gentoo x-portage
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="* -@EULA"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=k8 -O2 -pipe -fforce-addr -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/boot/cmdline.txt /boot/config.txt /etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo"
CXXFLAGS="-march=k8 -O2 -pipe -fforce-addr -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -march=i686 -pipe"
FEATURES="assume-digests binpkg-logs ccache config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -march=i686 -pipe"
GENTOO_MIRRORS="http://gentoo.osuosl.org/  ftp://ftp.gtlib.gatech.edu/pub/gentoo  http://open-systems.ufl.edu/mirrors/gentoo"
LANG="en_US.UTF-8"
LC_ALL="en_US.UTF-8"
LDFLAGS="-Wl,--hash-style=gnu,-O1 -Wl,--as-needed"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.namerica.gentoo.org/gentoo-portage"
USE="X a52 aac acpi alsa apache2 apic berkdb branding bzip2 cairo caps cdda cdr cgi cli consolekit cracklib crypt cryptsetup cups cxx dbus declarative dts dvd dvdr dynamicplugin emboss encode exif fam fastcgi ffmpeg firefox flac fortran gd gdbm gif gnome-keyring gpm iconv imagemagick innodb java jpeg kde kipi lcms libnotify logrotate mad midi mmx mng modules mp3 mp4 mpeg mysql ncurses nls nptl nsplugin ogg opengl pae pam pango pcre pdf pear perl phonon php plasma png policykit ppds qt3support qt4 readline samba sdl semantic-desktop session spell sse sse2 ssl startup-notification svg tcpd threads tiff truetype udev udisks unicode upower usb userlocales vorbis wxwidgets x264 x86 xcb xcomposite xinerama xml xscreensaver xv xvid zlib" ABI_X86="32" ALSA_CARDS="via82xx" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias proxy" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev keyboard mouse" KERNEL="linux" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en_us en" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php4-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby19 ruby20" USERLAND="GNU" VIDEO_CARDS="nv nouveau" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

--> yes, this box cross-compiles for arm and avr, but I wasn't doing that when I got these results.
Back to top
View user's profile Send private message
tld
Veteran
Veteran


Joined: 09 Dec 2003
Posts: 1453

PostPosted: Wed Aug 20, 2014 1:57 pm    Post subject: Reply with quote

I ran into this yesterday, and upgrading to sys-kernel/gentoo-sources-3.14.16 got around it.

I does make me wonder however...not that I plan on doing so...but does this mean that if I were to boot to the older kernel (3.14.14), things might break in a horrific way? I tend to think they might.

Tom
Back to top
View user's profile Send private message
brendlefly62
Tux's lil' helper
Tux's lil' helper


Joined: 19 Dec 2009
Posts: 96

PostPosted: Wed Aug 20, 2014 4:08 pm    Post subject: Reply with quote

tld - you said upgrading kernel to 3.14.16 fixed this, but I get the error when I'm trying to emerge gentoo-sources, so how can I upgrade to the new kernel when I can't emerge its sources? (do I have to ignore the error and use emerge's --keep-going option or something?
Back to top
View user's profile Send private message
tld
Veteran
Veteran


Joined: 09 Dec 2003
Posts: 1453

PostPosted: Wed Aug 20, 2014 4:26 pm    Post subject: Reply with quote

brendlefly62 wrote:
tld - you said upgrading kernel to 3.14.16 fixed this, but I get the error when I'm trying to emerge gentoo-sources, so how can I upgrade to the new kernel when I can't emerge its sources? (do I have to ignore the error and use emerge's --keep-going option or something?


I think the emerge options you're using are trying to pull in glibc at the same time...probably the D (deep) option. To upgrade the kernel I used this:

Code:
emerge -auv gentoo-sources


...and it ONLY pulled in the new slotted kernel. See if that works.

Tom
Back to top
View user's profile Send private message
deadward
n00b
n00b


Joined: 28 Aug 2009
Posts: 11

PostPosted: Wed Aug 20, 2014 5:59 pm    Post subject: Reply with quote

I am getting the same error trying to emerge glibc 2.19 with hardened-sources-3.15.5.
Back to top
View user's profile Send private message
dataking
Apprentice
Apprentice


Joined: 20 Apr 2005
Posts: 251

PostPosted: Wed Aug 20, 2014 6:44 pm    Post subject: Reply with quote

I just updated a system without any issues.

I use a script that checks for a new kernel; installs that first (emerge -1 gentoo-sources; genkernel all), then re-issues "emerge -uDNv @world".

HTH
_________________
-= the D@7@k|n& =-
Back to top
View user's profile Send private message
brendlefly62
Tux's lil' helper
Tux's lil' helper


Joined: 19 Dec 2009
Posts: 96

PostPosted: Wed Aug 20, 2014 6:57 pm    Post subject: Reply with quote

tld wrote:
... I think the emerge options you're using are trying to pull in glibc at the same time...probably the D (deep) option.
To upgrade the kernel I used this: emerge -auv gentoo-sources ... Tom


Tom - thanks. That worked. (seems obvious now :oops: )
Back to top
View user's profile Send private message
bastibasti
Guru
Guru


Joined: 27 Nov 2006
Posts: 568

PostPosted: Mon Sep 22, 2014 7:50 am    Post subject: Reply with quote

Upgrading the kernel to 3.14.16 or 3.14.14 dont do the job for me here. Any other advice?
Back to top
View user's profile Send private message
Hu
Moderator
Moderator


Joined: 06 Mar 2007
Posts: 14400

PostPosted: Tue Sep 23, 2014 1:01 am    Post subject: Reply with quote

bastibasti wrote:
Upgrading the kernel to 3.14.16 or 3.14.14 dont do the job for me here. Any other advice?
Please post the output of emerge --info sys-libs/glibc after a failure.
Back to top
View user's profile Send private message
bastibasti
Guru
Guru


Joined: 27 Nov 2006
Posts: 568

PostPosted: Tue Sep 30, 2014 6:07 am    Post subject: Reply with quote

Code:
emerge --info sys-libs/glibc
Portage 2.2.8-r2 (default/linux/x86/13.0, gcc-4.7.3, glibc-2.17, 3.14.14-gentoo i686)
=================================================================
                        System Settings
=================================================================
System uname: Linux-3.14.14-gentoo-i686-Intel-R-_Celeron-R-_CPU_E3400_@_2.60GHz-with-gentoo-2.2
KiB Mem:     3566264 total,    276344 free
KiB Swap:    2097148 total,   2014288 free
Timestamp of tree: Sun, 28 Sep 2014 10:30:01 +0000
ld GNU ld (GNU Binutils) 2.23.2
distcc 3.1 i686-pc-linux-gnu [disabled]
app-shells/bash:          4.2_p45
dev-java/java-config:     2.2.0
dev-lang/python:          2.6.8-r3, 2.7.7, 3.2.5-r3, 3.3.5-r1
dev-util/cmake:           2.8.12.2-r1
dev-util/pkgconfig:       0.28-r1
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.6, 1.12.6, 1.13.4
sys-devel/binutils:       2.23.2
sys-devel/gcc:            4.7.3-r1
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2-r1
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.13 (virtual/os-headers)
sys-libs/glibc:           2.17
Repositories: gentoo
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="* -@EULA"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=i686 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /var/bind"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/apache2-php5.4/ext-active/ /etc/php/apache2-php5.5/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -march=i686 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -march=i686 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -march=i686 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="de_DE@euro"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/distfiles/binpkg"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
USE="X a52 aac aacplus aalib acl acpi addns aio alaw alsa amr apache2 avx bash-completion big-tables bitmap bluetooth bzip2 cairo caps cli color consolekit cracklib crypt curl cvs cxx daemon dahdi dbus device-mapper dirac dlz dot dri dv dvb dvbplayer dvbsetup dvd dvdarchive dvdchapjump dvi encode es escreen faac fax flac fortran freetds frei0r ftp g3dvl g722 g729 gadu gcj gd gdbm gif git gnutls gpg gphoto2 graphviz groupwise gsm gtalk gtk gudev http hwdb iconv ieee1394 ilbc imagemagick imap inotify ipv6 jabber jack jpeg jpeg2k kde kvm lame ldap libsamplerate lua lxde lzo mad mbox meanwhile minizip mmx mng modperl modules mp3 mp3rtp mpeg mysql mysqli ncurses network newt nls nptl nuv ogg opengl openmp osplookup pam pcre pdo perl pic png policykit pop postproc python qt3support radio rar readline rtmp schroedinger sdl server session sidebar sip sipim siren14 siren7 sln16 smbclient smbsharemodes smpeg smtp spamassassin speex spell sqlite3 srtp sse sse2 ssl subversion syslog tcpd test-programs theora threads thumbnail tiff tk tls truetype tv tvtime twolame ulaw unicode usb v4l vaapi vdpau video vorbis vpx wav wavpack winbind wxwidgets x264 x86 xine xml xmldoclet xmlpatterns xmlreader xmlrpc xmlwriter xmp xv xvid yahoo zip zlib" ABI_X86="32" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" FRITZCAPI_CARDS="fcpci" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en de" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" QEMU_SOFTMMU_TARGETS="i386 arm x86_64" QEMU_USER_TARGETS="i386 arm" RUBY_TARGETS="ruby19 ruby20" USERLAND="GNU" VIDEO_CARDS="nvidia vesa" VOICEMAIL_STORAGE="file" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
USE_PYTHON="2.7 3.3"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, SYNC

=================================================================
                        Package Settings
=================================================================

sys-libs/glibc-2.17 was built with the following:
USE="gd -debug (-hardened) (-multilib) -nscd -profile (-selinux) -suid -systemtap -vanilla"
CFLAGS="-march=i686 -pipe -O2 -fno-strict-aliasing"
CXXFLAGS="-march=i686 -pipe -O2 -fno-strict-aliasing"
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum